summaryrefslogtreecommitdiffstats
path: root/jjb/infra
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/infra')
-rw-r--r--jjb/infra/bifrost-verify-jobs.yml6
-rwxr-xr-xjjb/infra/bifrost-verify.sh9
2 files changed, 10 insertions, 5 deletions
diff --git a/jjb/infra/bifrost-verify-jobs.yml b/jjb/infra/bifrost-verify-jobs.yml
index 4c106fc5c..c99023edf 100644
--- a/jjb/infra/bifrost-verify-jobs.yml
+++ b/jjb/infra/bifrost-verify-jobs.yml
@@ -55,6 +55,7 @@
- defaults:
name: vm_defaults
vm-disk: '30'
+ vm-disk-cache: 'unsafe'
vm-memory: '4096'
vm-cpu: '2'
@@ -107,6 +108,9 @@
name: VM_DISK
default: '{vm-disk}'
- string:
+ name: VM_DISK_CACHE
+ default: '{vm-disk-cache}'
+ - string:
name: VM_MEMORY
default: '{vm-memory}'
- string:
@@ -127,7 +131,7 @@
url: '$PROJECT_REPO'
refspec: '$GERRIT_REFSPEC'
branches:
- - 'origin/$GERRIT_BRANCH'
+ - 'origin/$BRANCH'
skip-tag: true
choosing-strategy: 'gerrit'
timeout: 10
diff --git a/jjb/infra/bifrost-verify.sh b/jjb/infra/bifrost-verify.sh
index bb4784809..4115ffcc4 100755
--- a/jjb/infra/bifrost-verify.sh
+++ b/jjb/infra/bifrost-verify.sh
@@ -22,10 +22,11 @@ function upload_logs() {
# stale information.
# TODO: Maybe cleanup the entire $BIFROST_GS_URL directory
# before we upload the new data.
- gsutil -q rm ${BIFROST_GS_URL}/index.html
+ gsutil -q rm ${BIFROST_GS_URL}/index.html || true
+
+ echo "Uploading collected bifrost build logs to ${BIFROST_LOG_URL}"
if [[ -d ${WORKSPACE}/logs ]]; then
- echo "Uploading collected bifrost logs to ${BIFROST_LOG_URL}"
pushd ${WORKSPACE}/logs &> /dev/null
for x in *.log; do
echo "Compressing and uploading $x"
@@ -34,7 +35,7 @@ function upload_logs() {
popd &> /dev/null
fi
- echo "Generating the landing page"
+ echo "Generating the ${BIFROST_LOG_URL}/index.html landing page"
cat > ${WORKSPACE}/index.html <<EOF
<html>
<h1>Build results for <a href=https://$GERRIT_NAME/#/c/$GERRIT_CHANGE_NUMBER/$GERRIT_PATCHSET_NUMBER>$GERRIT_NAME/$GERRIT_CHANGE_NUMBER/$GERRIT_PATCHSET_NUMBER</a></h1>
@@ -58,7 +59,7 @@ EOF
# Finally, download and upload the entire build log so we can retain
# as much build information as possible
- echo "Uploading console output"
+ echo "Uploading the final console output"
curl -s -L ${BIFROST_CONSOLE_LOG} > ${WORKSPACE}/build_log.txt
gsutil -q cp -Z ${WORKSPACE}/build_log.txt ${BIFROST_GS_URL}/build_log.txt
rm ${WORKSPACE}/build_log.txt